<?php
$tdataacciones = array();
$tdataacciones[".searchableFields"] = array();
$tdataacciones[".ShortName"] = "acciones";
$tdataacciones[".OwnerID"] = "";
$tdataacciones[".OriginalTable"] = "acciones";


$tdataacciones[".pagesByType"] = my_json_decode( "{}" );
$tdataacciones[".originalPagesByType"] = $tdataacciones[".pagesByType"];
$tdataacciones[".pages"] = types2pages( my_json_decode( "{}" ) );
$tdataacciones[".originalPages"] = $tdataacciones[".pages"];
$tdataacciones[".defaultPages"] = my_json_decode( "{}" );
$tdataacciones[".originalDefaultPages"] = $tdataacciones[".defaultPages"];

//	field labels
$fieldLabelsacciones = array();
$fieldToolTipsacciones = array();
$pageTitlesacciones = array();
$placeHoldersacciones = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsacciones["Spanish"] = array();
	$fieldToolTipsacciones["Spanish"] = array();
	$placeHoldersacciones["Spanish"] = array();
	$pageTitlesacciones["Spanish"] = array();
	$fieldLabelsacciones["Spanish"]["acciones_Asignado"] = "Acciones Asignado";
	$fieldToolTipsacciones["Spanish"]["acciones_Asignado"] = "";
	$placeHoldersacciones["Spanish"]["acciones_Asignado"] = "";
	$fieldLabelsacciones["Spanish"]["id_Gestion"] = "Id Gestion";
	$fieldToolTipsacciones["Spanish"]["id_Gestion"] = "";
	$placeHoldersacciones["Spanish"]["id_Gestion"] = "";
	$fieldLabelsacciones["Spanish"]["numero_Acciones"] = "Numero Acciones";
	$fieldToolTipsacciones["Spanish"]["numero_Acciones"] = "";
	$placeHoldersacciones["Spanish"]["numero_Acciones"] = "";
	$fieldLabelsacciones["Spanish"]["saldo_Acciones"] = "Saldo Acciones";
	$fieldToolTipsacciones["Spanish"]["saldo_Acciones"] = "";
	$placeHoldersacciones["Spanish"]["saldo_Acciones"] = "";
	if (count($fieldToolTipsacciones["Spanish"]))
		$tdataacciones[".isUseToolTips"] = true;
}


	$tdataacciones[".NCSearch"] = true;



$tdataacciones[".shortTableName"] = "acciones";
$tdataacciones[".nSecOptions"] = 0;

$tdataacciones[".mainTableOwnerID"] = "";
$tdataacciones[".entityType"] = 0;
$tdataacciones[".connId"] = "bsn_dividendos_at_localhost";


$tdataacciones[".strOriginalTableName"] = "acciones";

	



$tdataacciones[".showAddInPopup"] = false;

$tdataacciones[".showEditInPopup"] = false;

$tdataacciones[".showViewInPopup"] = false;

$tdataacciones[".listAjax"] = false;
//	temporary
//$tdataacciones[".listAjax"] = false;

	$tdataacciones[".audit"] = true;

	$tdataacciones[".locking"] = true;


$pages = $tdataacciones[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataacciones[".edit"] = true;
	$tdataacciones[".afterEditAction"] = 1;
	$tdataacciones[".closePopupAfterEdit"] = 1;
	$tdataacciones[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataacciones[".add"] = true;
$tdataacciones[".afterAddAction"] = 1;
$tdataacciones[".closePopupAfterAdd"] = 1;
$tdataacciones[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataacciones[".list"] = true;
}



$tdataacciones[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataacciones[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataacciones[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataacciones[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataacciones[".printFriendly"] = true;
}



$tdataacciones[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataacciones[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataacciones[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataacciones[".isUseAjaxSuggest"] = true;



																														

$tdataacciones[".ajaxCodeSnippetAdded"] = false;

$tdataacciones[".buttonsAdded"] = false;

$tdataacciones[".addPageEvents"] = false;

// use timepicker for search panel
$tdataacciones[".isUseTimeForSearch"] = false;


$tdataacciones[".badgeColor"] = "DAA520";


$tdataacciones[".allSearchFields"] = array();
$tdataacciones[".filterFields"] = array();
$tdataacciones[".requiredSearchFields"] = array();

$tdataacciones[".googleLikeFields"] = array();
$tdataacciones[".googleLikeFields"][] = "id_Gestion";
$tdataacciones[".googleLikeFields"][] = "numero_Acciones";
$tdataacciones[".googleLikeFields"][] = "acciones_Asignado";
$tdataacciones[".googleLikeFields"][] = "saldo_Acciones";



$tdataacciones[".tableType"] = "list";

$tdataacciones[".printerPageOrientation"] = 0;
$tdataacciones[".nPrinterPageScale"] = 100;

$tdataacciones[".nPrinterSplitRecords"] = 40;

$tdataacciones[".geocodingEnabled"] = false;










$tdataacciones[".pageSize"] = 20;

$tdataacciones[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdataacciones[".strOrderBy"] = $tstrOrderBy;

$tdataacciones[".orderindexes"] = array();


$tdataacciones[".sqlHead"] = "SELECT id_Gestion,  	numero_Acciones,  	acciones_Asignado,  	saldo_Acciones";
$tdataacciones[".sqlFrom"] = "FROM acciones";
$tdataacciones[".sqlWhereExpr"] = "";
$tdataacciones[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataacciones[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataacciones[".arrGroupsPerPage"] = $arrGPP;

$tdataacciones[".highlightSearchResults"] = true;

$tableKeysacciones = array();
$tdataacciones[".Keys"] = $tableKeysacciones;


$tdataacciones[".hideMobileList"] = array();




//	id_Gestion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_Gestion";
	$fdata["GoodName"] = "id_Gestion";
	$fdata["ownerTable"] = "acciones";
	$fdata["Label"] = GetFieldLabel("acciones","id_Gestion");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_Gestion";

		$fdata["sourceSingle"] = "id_Gestion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_Gestion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataacciones["id_Gestion"] = $fdata;
		$tdataacciones[".searchableFields"][] = "id_Gestion";
//	numero_Acciones
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "numero_Acciones";
	$fdata["GoodName"] = "numero_Acciones";
	$fdata["ownerTable"] = "acciones";
	$fdata["Label"] = GetFieldLabel("acciones","numero_Acciones");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "numero_Acciones";

		$fdata["sourceSingle"] = "numero_Acciones";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numero_Acciones";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataacciones["numero_Acciones"] = $fdata;
		$tdataacciones[".searchableFields"][] = "numero_Acciones";
//	acciones_Asignado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "acciones_Asignado";
	$fdata["GoodName"] = "acciones_Asignado";
	$fdata["ownerTable"] = "acciones";
	$fdata["Label"] = GetFieldLabel("acciones","acciones_Asignado");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "acciones_Asignado";

		$fdata["sourceSingle"] = "acciones_Asignado";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "acciones_Asignado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataacciones["acciones_Asignado"] = $fdata;
		$tdataacciones[".searchableFields"][] = "acciones_Asignado";
//	saldo_Acciones
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "saldo_Acciones";
	$fdata["GoodName"] = "saldo_Acciones";
	$fdata["ownerTable"] = "acciones";
	$fdata["Label"] = GetFieldLabel("acciones","saldo_Acciones");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "saldo_Acciones";

		$fdata["sourceSingle"] = "saldo_Acciones";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "saldo_Acciones";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataacciones["saldo_Acciones"] = $fdata;
		$tdataacciones[".searchableFields"][] = "saldo_Acciones";


$tables_data["acciones"]=&$tdataacciones;
$field_labels["acciones"] = &$fieldLabelsacciones;
$fieldToolTips["acciones"] = &$fieldToolTipsacciones;
$placeHolders["acciones"] = &$placeHoldersacciones;
$page_titles["acciones"] = &$pageTitlesacciones;


changeTextControlsToDate( "acciones" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["acciones"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["acciones"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_acciones()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id_Gestion,  	numero_Acciones,  	acciones_Asignado,  	saldo_Acciones";
$proto0["m_strFrom"] = "FROM acciones";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id_Gestion",
	"m_strTable" => "acciones",
	"m_srcTableName" => "acciones"
));

$proto6["m_sql"] = "id_Gestion";
$proto6["m_srcTableName"] = "acciones";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "numero_Acciones",
	"m_strTable" => "acciones",
	"m_srcTableName" => "acciones"
));

$proto8["m_sql"] = "numero_Acciones";
$proto8["m_srcTableName"] = "acciones";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "acciones_Asignado",
	"m_strTable" => "acciones",
	"m_srcTableName" => "acciones"
));

$proto10["m_sql"] = "acciones_Asignado";
$proto10["m_srcTableName"] = "acciones";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "saldo_Acciones",
	"m_strTable" => "acciones",
	"m_srcTableName" => "acciones"
));

$proto12["m_sql"] = "saldo_Acciones";
$proto12["m_srcTableName"] = "acciones";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto14=array();
$proto14["m_link"] = "SQLL_MAIN";
			$proto15=array();
$proto15["m_strName"] = "acciones";
$proto15["m_srcTableName"] = "acciones";
$proto15["m_columns"] = array();
$proto15["m_columns"][] = "id_Gestion";
$proto15["m_columns"][] = "numero_Acciones";
$proto15["m_columns"][] = "acciones_Asignado";
$proto15["m_columns"][] = "saldo_Acciones";
$obj = new SQLTable($proto15);

$proto14["m_table"] = $obj;
$proto14["m_sql"] = "acciones";
$proto14["m_alias"] = "";
$proto14["m_srcTableName"] = "acciones";
$proto16=array();
$proto16["m_sql"] = "";
$proto16["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto16["m_column"]=$obj;
$proto16["m_contained"] = array();
$proto16["m_strCase"] = "";
$proto16["m_havingmode"] = false;
$proto16["m_inBrackets"] = false;
$proto16["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto16);

$proto14["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto14);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="acciones";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_acciones = createSqlQuery_acciones();


	
		;

				

$tdataacciones[".sqlquery"] = $queryData_acciones;



$tdataacciones[".hasEvents"] = false;

?>